/*********************************************************************/
/* Author: B. Alex Bridges                                           */
/* File: Adder.java                                                  */
/* Class: CPSC-101 Lab Section 3                                     */
/* Project: Lab 2 - Adder                                            */
/* Purpose: This program will accept 2 numbers from the command      */
/*          line, print them, and print their sum.                   */
/*********************************************************************/

/*********************************************************************/
/* ADDER CLASS                                                       */
/*********************************************************************/
class Adder
{
  /*********************************************************************/
  /* MAIN METHOD                                                       */
  /*********************************************************************/
  public static void main (String [ ] args)
  {
    /* LOCAL VARIABLES */
    int Num1=0, Num2=0, Sum=0;

    /* HEADER */
    System.out.println ("B. Alex Bridges");
    System.out.println ("CPSC-101, Winter 1998");
    System.out.println ("The Adder Program");
    System.out.println (" ");

    /* STRING ARGUMENTS => INTEGER VARIABLES */
    Num1 = Integer.parseInt (args[0]);
    Num2 = Integer.parseInt (args[1]);

    /* COMPUTATION */
    Sum = Num1 + Num2;

    /* OUTPUT */
    System.out.println ("The sum of "+Num1+" and "+Num2+" is "+Sum+".");
  } //method main
} //class Adder